This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 477144 - Review Request: eclipse-cmakeed - CMake Editor plug-in for Eclipse
Review Request: eclipse-cmakeed - CMake Editor plug-in for Eclipse
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-19 06:33 EST by Alexander Kurtakov
Modified: 2009-02-02 05:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-02 05:13:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oget.fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexander Kurtakov 2008-12-19 06:33:31 EST
Spec URL:
http://akurtakov.fedorapeople.org/eclipse-cmakeed.spec
SRPM URL:
http://akurtakov.fedorapeople.org/eclipse-cmakeed-1.1.0-0.1.rc5.fc10.src.rpm

Description: The CMakeEd plug-in provides an editor for CMake files. The plug-in
registers an editor for files named CMakeLists.txt and *.cmake.
Comment 1 Alexander Kurtakov 2009-01-05 05:58:52 EST
Spec URL:
http://akurtakov.fedorapeople.org/eclipse-cmakeed.spec
SRPM URL:
http://akurtakov.fedorapeople.org/eclipse-cmakeed-1.1.0-1.fc10.src.rpm

Update to 1.1.0 final.
Comment 2 Orcan Ogetbil 2009-01-23 14:39:00 EST
Here's the review for this one.

* The prebuilt binaries need removed in %prep
   ./com.cthing.cmakeed.site/plugins/com.cthing.cmakeed.core_1.0.1.jar
   ./com.cthing.cmakeed.site/plugins/com.cthing.cmakeed.ui_1.0.1.jar
   ./com.cthing.cmakeed.site/features/com.cthing.cmakeed.feature_1.0.1.jar

* I believe that 
   ./com.cthing.cmakeed.ui/doc/*
should go to %doc. These don't end up in the RPM otherwise, right?

* Please make the description span across 80 columns. It'll look nicer.

* Macros should be used consistently. You use %{buildroot} and $RPM_BUILD_ROOT mixed. This needs corrected. You should also use %{__install} for consistency.

* Please make use of the %{version} macro, e.g. in Source0

* Latest version must be packaged. Please update to 1.1.1

* There is no license file in the sources. The upstream should be notified to include a license file.
Comment 3 Alexander Kurtakov 2009-01-26 14:19:18 EST
Spec URL:
http://akurtakov.fedorapeople.org/eclipse-cmakeed.spec
SRPM URL:
http://akurtakov.fedorapeople.org/eclipse-cmakeed-1.1.2-1.fc10.src.rpm



(In reply to comment #2)
> Here's the review for this one.
> 
> * The prebuilt binaries need removed in %prep
>    ./com.cthing.cmakeed.site/plugins/com.cthing.cmakeed.core_1.0.1.jar
>    ./com.cthing.cmakeed.site/plugins/com.cthing.cmakeed.ui_1.0.1.jar
>    ./com.cthing.cmakeed.site/features/com.cthing.cmakeed.feature_1.0.1.jar
> 
Fixed.

> * I believe that 
>    ./com.cthing.cmakeed.ui/doc/*
> should go to %doc. These don't end up in the RPM otherwise, right?
No. This is documentation that is part of com.cting.cmakeed.ui_*.jar and is the documentation shown inside the editor.

> 
> * Please make the description span across 80 columns. It'll look nicer.
Fixed.

> 
> * Macros should be used consistently. You use %{buildroot} and $RPM_BUILD_ROOT
> mixed. This needs corrected. You should also use %{__install} for consistency.
Fixed.

> 
> * Please make use of the %{version} macro, e.g. in Source0
Fixed.

> 
> * Latest version must be packaged. Please update to 1.1.1
Fixed. Updated to version 1.1.2.

> 
> * There is no license file in the sources. The upstream should be notified to
> include a license file.
Fixed. Upstream released new version with License.html in it for us.
Comment 4 Orcan Ogetbil 2009-01-31 15:00:28 EST
Thanks. Good to go.

--------------------------------------------------
This package (eclipse-cmakeed) is APPROVED by oget
--------------------------------------------------
Comment 5 Alexander Kurtakov 2009-02-01 06:13:43 EST
New Package CVS Request
=======================
Package Name: eclipse-cmakeed
Short Description: CMake Editor plug-in for Eclipse
Owners: akurtakov
Branches: 
InitialCC:
Comment 6 Kevin Fenzi 2009-02-01 14:02:56 EST
cvs done.
Comment 7 Alexander Kurtakov 2009-02-02 05:13:03 EST
Builded in rawhide.

Note You need to log in before you can comment on or make changes to this bug.